commit:     eccfac0b6f958ee375917c4de25f02f903d4aa9d
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed May  9 03:55:58 2018 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed May  9 03:55:58 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eccfac0b

dev-ruby/activeldap: add 5.2.0

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 dev-ruby/activeldap/Manifest                |  1 +
 dev-ruby/activeldap/activeldap-5.2.0.ebuild | 40 +++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/dev-ruby/activeldap/Manifest b/dev-ruby/activeldap/Manifest
index 7c3b54e887d..e24132e47be 100644
--- a/dev-ruby/activeldap/Manifest
+++ b/dev-ruby/activeldap/Manifest
@@ -1,2 +1,3 @@
 DIST activeldap-4.0.6.gem 225280 BLAKE2B 
0f03ef95f3d0600d2661eab048c8dda3fbabe519add67f7785895e346d835d1e0396270f829f16a982f12863c80378be2f4f7ff7cf84016007b005b1914cec15
 SHA512 
03053e3798b557c73c3a0918b72d1d3c2cada4da3475913ef17a6f9f2f1ac1e102052459ef1a6d8c25ce41382b64c1a3097ccba1c768497a33a3a971b9778d3b
 DIST activeldap-5.1.1.gem 224768 BLAKE2B 
cbb54a3e442592ffcd46b99dc92301955e0ec2e6930c7dff0159ddc41166311f9f7b06a0d878dff4180962d6811690fc55e6eef9693048d485672dc83560b63f
 SHA512 
13ae4f05717a9de80f56e19033e694ae1291cf4486dc4c69055892fb2c43469b0dba968949bd668a89d035126d8bde144ad410313dce0d6de80a4ddff884a745
+DIST activeldap-5.2.0.gem 224768 BLAKE2B 
ae0aa9b2f33121bef3974fdcda5dc06278072241165b5c049fe23bcda8572603dd7695e8839892075ab928e3653c8dd8b6ec87fa17e8c5f9ddb0422b13821676
 SHA512 
72796a48cb067d61c4f278a3d74f81ebc2c0b1ef648cc02bdf9db0bf9b04a93a924dca3f6134b44c7a9cded7a292984099bd544796b94fb435e21b09d7fc48b3

diff --git a/dev-ruby/activeldap/activeldap-5.2.0.ebuild 
b/dev-ruby/activeldap/activeldap-5.2.0.ebuild
new file mode 100644
index 00000000000..be5311720e6
--- /dev/null
+++ b/dev-ruby/activeldap/activeldap-5.2.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23 ruby24"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README.textile TODO doc/text/*"
+RUBY_FAKEGEM_EXTRAINSTALL="po"
+
+inherit ruby-fakegem
+
+MY_P="${P/ruby-/}"
+DESCRIPTION="ActiveLDAP provides an activerecord inspired object oriented 
interface to LDAP"
+HOMEPAGE="https://github.com/activeldap/activeldap";
+
+LICENSE="GPL-2"
+SLOT="5"
+KEYWORDS="~amd64"
+IUSE=""
+
+# Most tests require a live LDAP server to run.
+RESTRICT="test"
+
+ruby_add_rdepend "
+       >dev-ruby/activemodel-4.0.0:*
+       dev-ruby/builder
+       dev-ruby/locale
+       dev-ruby/ruby-gettext
+       dev-ruby/gettext_i18n_rails
+       || ( dev-ruby/ruby-net-ldap >=dev-ruby/ruby-ldap-0.8.2 )"
+
+all_ruby_install() {
+       all_fakegem_install
+
+       dodoc doc/text/*
+
+       insinto /usr/share/doc/${PF}
+       doins -r examples
+}

Reply via email to